PHP Manual
Prev |  | Next

# HttpMessage::setRequestUrl

(no version information, might be only in CVS)

HttpMessage::setRequestUrl -- Set request URL

## Description

publicbool HttpMessage::setRequestUrl ( string url )

Set the Request URL of the HTTP Message.

## Parameters

url

  the request URL

## Return Values

Returns TRUE on success, or FALSE if the message is not of type HttpMessage::`TYPE_REQUEST` or supplied URL was empty.

Prev | Home | Next
HttpMessage::getRequestUrl | Up | HttpMessage::getResponseCode